name: Mirror to smartjingrui's git
on:
  push:
    branches: [master]
  workflow_dispatch: {}

jobs:
  build:
    runs-on:
      labels: mac-mini-2018

    steps:
      - name: Checkout source repository
        uses: actions/checkout@v4
        with:
          fetch-depth: 0  # 必须 0，否则无法完整 mirror

      - name: Set up mirror remote (http)
        run: |
          mirror_url="http://weichengwu:cKk2HUP8@123.60.153.169:3006/fucai/fucai-claim.git"
          if git remote get-url mirror >/dev/null 2>&1; then
            git remote set-url mirror "$mirror_url"
          else
            git remote add mirror "$mirror_url"
          fi

      - name: Push to mirror
        run: |
          git push --mirror mirror